cls
@echo off
rem
rem ================================================================== 
rem                MOR3BCOM.BAT (MS-DOS version NRCVM01)                
rem              MS-DOS BATCH FILE for MORTRAN/FORTRAN/LINK     
rem                        Version: 24 AUG 1989
rem ================================================================== 
rem
rem The MORTRAN3 pre-compiler is a product of Stanford University.     
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem
rem
rem *******************************************************************
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Initialization                                                     
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem *******************************************************************
rem
echo ͻ
echo  MOR3BCOM - MS-DOS VERSION NRCVM01/89/09/23                          
echo                                                                      
echo    MS-DOS batch file to MORTRAN/FORTRAN/LINK                         
echo                                                                      
echo    Inquiries? Complaints? Bugs? Suggested improvements?              
echo    Please contact...                                                 
echo                                                                      
echo    Alex Bielajew                         Sue Walker                  
echo    Division of Physics                   Institute of Applied        
echo    National Research Council       OR        Physiology and Medicine 
echo    Ottawa, CANADA                        Seattle, Washington 98122   
echo    K1A 0R6                               U.S.A.                      
echo    Tel: 613-993-2197                     Tel: 206-553-7330           
echo    E-MAIL: BLIF at NRCVM01.BITNET        FAX: 206-553-1717           
echo    FAX: 613-952-9865                                                 
echo ͼ
rem
rem
echo .
echo EGS4 root directory......................%HEN_HOUSE%
echo User code.................................%1.mor
rem
rem This option invokes the debugger
rem
set debug=false
if "%2"=="debug" set debug=true
if "%2"=="DEBUG" set debug=true
if %debug%==true  echo Debug option..............................ON
if %debug%==false echo Debug option..............................OFF
rem
rem This option stops after Mortran compilation
rem
set M_only=false
if "%2"=="m" set M_only=true
if "%2"=="M" set M_only=true
if %M_only%==true  echo *** Mortran compilation only ***
echo .
echo Type Control-C to quit, Return to continue
pause
cls
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Check that the input exists.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
if not exist %1.mor goto No_source_code
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Build step - At the user's option, link the mortran source to any
rem              other Mortran source files.
rem              The user may do this by defining MYCONF.BAT on her/his
rem              subdirectory that contains the Mortran source to be 
rem              compiled. An example, that links the Mortran source
rem              to the standard EGS4 macros, is called EMACMOR.BAT
rem              which resides on %EGS4_home%\mortran3.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Erase various files that may exist from a previous compilation.    
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem
if "%HEN_HOUSE%NULL"=="NULL" call ..\egs4\egs4env.bat
if "%HEN_HOUSE%NULL"=="NULL" goto No_home
%HEN_HOUSE%\$dattim
echo Creating %1 $MORTJOB.MOR...
echo .
if exist $mortjob.mor del $mortjob.mor
if exist %1.log del %1.log
if exist myconf.bat call myconf %1
if not exist myconf.bat copy %1.mor $mortjob.mor >> %1.log
if exist myconf.bat echo Type Control-C to quit, Return to continue
if exist myconf.bat pause
if exist myconf.bat cls
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Mortran3 step - create source's FOR from source's .mor
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Mortran compiling %1 $MORTJOB.MOR...
echo .
if exist $mortjob.lst del $mortjob.lst
if exist $mortjob.for del $mortjob.for
if exist %1.lst       del %1.lst
if exist %1.for       del %1.for
if exist mortran.log  del mortran.log
copy %HEN_HOUSE%\mortran3\mortran3.dat mortran3.dat >> mortran.log
%HEN_HOUSE%\mortran3\mortran3
if errorlevel 1 goto M_error
del mortran3.dat
if %M_only%==false if exist $mortjob.lst rename $mortjob.lst %1.tmp
if %M_only%==true  if exist $mortjob.lst rename $mortjob.lst %1.lst
if exist $mortjob.for rename $mortjob.for %1.for
if %M_only%==true goto Normal_exit
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem FORTRAN compilation step - FORTRAN compile source's .for
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Fortran compiling %1 $MORTJOB.FOR...
echo .
if exist %1.lis       del %1.lis
if exist %1.obj       del %1.obj
if exist %1.sld       del %1.sld
if exist fortran.log  del fortran.log
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem %Efcompile% below is a an environment variable set in EGS4ENV.BAT
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
if %debug%==false %Efcompile% %1.for /H /NB /NW /S /NL /NI /NX >> fortran.log
if %debug%==true  %Efcompile_dbg% %1.for /H /B  /W  /S  /L  /I  /X  >> fortran.log
if errorlevel 1 goto F_error
if exist %1.lst rename %1.lst %1.lis
if exist %1.tmp rename %1.tmp %1.lst
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Link step - create source's executable file from source code .obj
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Linking %1 $MORTJOB.OBJ...
echo .
if exist %1.exe    del %1.exe
if exist %1.map    del %1.map
if exist link.log  del link.log
%Elink% %1.obj %Elinkflags% >> link.log
if errorlevel 1 goto L_error
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem The end                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
:Normal_exit
%HEN_HOUSE%\$dattim
echo Compilation of %1 completed successfully.
echo .
goto end

rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem Error Handling                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
:No_source_code
%HEN_HOUSE%\$dattim
echo Error. No %1.mor source code, rename or change directory, try again.
echo .
goto end
rem
:M_error
if exist mortran3.dat del mortran3.dat
if exist $mortjob.lst rename $mortjob.lst %1.lst
if exist $mortjob.for rename $mortjob.for %1.for
%HEN_HOUSE%\$dattim
echo Error occurred in Mortran Step of %1 - Quitting early.
echo .
goto end
rem
:F_error
if exist %1.lst rename %1.lst %1.lis
if exist %1.tmp rename %1.tmp %1.lst
%HEN_HOUSE%\$dattim
echo Error occurred in Fortran Step of %1 - Quitting early.
echo .
goto end
rem
:L_error
%HEN_HOUSE%\$dattim
echo Error occurred in Link Step of %1 - Quitting early.
echo .
goto end
rem
:No_home
echo Error: Environment variable "HEN_HOUSE" not set.
echo .
goto end
rem
:end
