cls
@echo off
rem
rem
echo ͻ
echo  MAKEMOR3 - MS-DOS VERSION NRCVM01/89/09/23                          
echo                                                                      
echo    MS-DOS batch file to create a MORTRAN3 executable module          
echo                                                                      
echo    Inquiries? Complaints? Bugs? Suggested improvements?              
echo    Please contact...                                                 
echo                                                                      
echo    Alex Bielajew                         Suzan Walker                
echo    Division of Physics                   Lanzl Institute of          
echo    National Research Council    OR        Medical Physics            
echo    Ottawa, CANADA                        3876 Bridge Way N, Suite 300
echo    K1A 0R6                               Seattle, WA 98103           
echo                                          U.S.A.                      
echo    Tel: 613-993-2197                     Tel: 206-545-1141           
echo    E-MAIL: BLIF at NRCVM01.BITNET        FAX: 206-545-1347           
echo    FAX: 613-952-9865                     e-mail: suzan@lanzl.com     
echo ͼ

rem
rem
echo .
if "%HEN_HOUSE%NULL"=="NULL" call ..\egs4\EGS4ENV
if "%HEN_HOUSE%NULL"=="NULL" goto No_home
echo EGS4 root directory.......................%HEN_HOUSE%
set debug=false
if "%1"=="debug" set debug=true
if "%1"=="DEBUG" set debug=true
if %debug%==true  echo Debug option..............................ON
if %debug%==false echo Debug option..............................OFF
echo .
echo Type Control-C to quit, Return to continue
pause
cls
rem
echo .   
echo Making Mortran3 executable module...
%HEN_HOUSE%\$dattim
if exist mortran3.log del mortran3.log
if exist mortran3.lst del mortran3.lst
if exist mortran3.obj del mortran3.obj
rem the switches below may need to be changed for your compiler environment
if %debug%==false %Efcompile% mortran3.for /H /NB /NW /S /NL /NI /NX >> mortran3.log
if %debug%==true  %Efcompile_dbg% mortran3.for /H /B  /W  /S  /L  /I  /X  >> mortran3.log
if errorlevel 1 goto F_error
echo .
if exist mortran3.exe del mortran3.exe
if exist mortran3.map del mortran3.map
%Elink% mortran3.obj %Elinkflags% >> mortran3.log
if errorlevel 1 goto L_error
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem The end                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
%HEN_HOUSE%\$dattim
echo Finished making Mortran3 executable module
echo Executable module in MORTRAN3.EXE
goto end
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem Error Handling                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
:F_error
%HEN_HOUSE%\$dattim
echo Error occurred in Fortran Step - Quitting early.
echo .
goto end
rem
:L_error
%HEN_HOUSE%\$dattim
echo Error occurred in Link Step of - Quitting early.
echo .
goto end
rem
:No_home
echo Error: Environment variable "HEN_HOUSE" not set.
echo .
goto end
rem
:end
pause
